import type { Member } from '@/api'
import { ui18n } from '@/lang'
import type { ColumnsType } from 'ant-design-vue/es/table'

export const materialColumns: ColumnsType<Member> = [
  // {
  //   title: '序列',
  //   dataIndex: 'teamId',
  //   key: 'teamId',
  //   customRender: ({ index }) => index + 1
  // },
  {
    title: ui18n.t('material.nickNameLabel'),
    dataIndex: 'userName',
    key: 'userName'
  },
  {
    title: ui18n.t('material.userNameLabel'),
    dataIndex: 'userName',
    key: 'userName'
  },
  {
    title: ui18n.t('material.remarkLabel'),
    key: 'remark',
    dataIndex: 'remark'
  },
  {
    title: ui18n.t('material.createTimeLabel'),
    dataIndex: 'createTime',
    key: 'createTime'
  }
]
